Package org.eclipse.net4j.util.collection

# Class Tree.Dumper

java.lang.Object
org.eclipse.net4j.util.collection.Tree.Dumper

All Implemented Interfaces:
  `BiFunction<Tree,String,String>`

Enclosing class:
  Tree

public static class Tree.Dumper extends Object implements BiFunction<Tree,String,String>

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Dumper()`
`Dumper(PrintStream out)`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(Tree tree, String indent)`
`protected String`
`nextLevelIndent(Tree tree, String indent)`
`final PrintStream`
`out()`
`static String`
`toString(Tree tree)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiFunction

`andThen`

## Constructor Details

### Dumper

public Dumper(PrintStream out)

### Dumper

public Dumper()

## Method Details

### out

public final PrintStream out()

### apply

public String apply(Tree tree, String indent)

Specified by:
  `apply` in interface `BiFunction<Tree,String,String>`

### nextLevelIndent

protected String nextLevelIndent(Tree tree, String indent)

### toString

public static String toString(Tree tree)